#include <stdio.h>
#include "../winuser.h"
int _CRcapWindow(mmachine m)
{ m->pp+=9;return MMpush(m,NIL); }
int _DScapWindow(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _ENUMcapDevices(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SETcapVideoStart(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SETcapVideoStop(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _InvertCapBitmap(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _c15to24(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _c24to15(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DifStr(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AddStr(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _c15to32(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _c32to15(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DLGcapSource(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DLGcapFormat(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
#define NVIDEOPKG 15
char* VIDEOname[NVIDEOPKG]=
{"_CRcapWindow","_DScapWindow","_ENUMcapDevices","Video","_SETcapVideoStart","_SETcapVideoStop","_InvertCapBitmap","_c15to24","_c24to15","_DifStr","_AddStr","_c15to32","_c32to15","_DLGcapSource","_DLGcapFormat"};
int (*VIDEOfun[NVIDEOPKG])(mmachine m)=
{_CRcapWindow,_DScapWindow,_ENUMcapDevices,NULL,_SETcapVideoStart,_SETcapVideoStop,_InvertCapBitmap,_c15to24,_c24to15,_DifStr,_AddStr,_c15to32,_c32to15,_DLGcapSource,_DLGcapFormat};
int VIDEOnarg[NVIDEOPKG]=
{9,1,1,TYPTYPE,3,1,2,1,1,2,2,1,1,1,1};
char* VIDEOtype[NVIDEOPKG]=
{"fun [Chn ObjWin I I I I I I I] Video","fun [Video] Video","fun [I] S",NULL,"fun [Video fun [Video u0 S] u1 u0] Video","fun [Video] Video","fun [S I] S","fun [S] S","fun [S] S","fun [S S] S","fun [S S] S","fun [S] S","fun [S] S","fun [Video] Video","fun [Video] Video"};
int SCOLloadVIDEO(mmachine m)
{
return PKhardpak(m,"VIDEO.pkg",NVIDEOPKG,VIDEOname,VIDEOfun,VIDEOnarg,VIDEOtype);
}
